<div class="telaExpediente" *ngIf="expedienteMensal; else telaInicial">

  <div class="cabecalho">
    <h1>{{colaborador}}</h1>
    <h2>{{dataExpediente}}</h2>
  </div>

  <div class="expedientes">

    <div *ngFor="let expediente of expedienteMensal">
      <table mat-table [dataSource]="expediente.pontos">
        <ng-container matColumnDef="tipoPonto">
          <th mat-header-cell *matHeaderCellDef [ngClass]="{
          'hoje': verificarSeHoje(expediente.data), 
          'outros': verificarSeHoje(expediente.data) == false
        }">
            <p>{{formatarData(expediente.data)}}</p>
          </th>
          <td mat-cell class="primeiraColuna" *matCellDef="let ponto">
            <p>{{ponto.tipo}}: {{ponto.horario}}
              <span class="observacoes" *ngIf="ponto.observacoes">
                !
              </span>
            </p>
          </td>
          <td mat-footer-cell class="primeiraColuna" *matFooterCellDef>
            <p>Horas trabalhadas</p>
          </td>
        </ng-container>

        <ng-container matColumnDef="observacoes">
          <th mat-header-cell *matHeaderCellDef [ngClass]="{
          'hoje': verificarSeHoje(expediente.data) , 
          'outros': verificarSeHoje(expediente.data) == false
        }">
            <div class="sinalizador" [ngClass]="{
              'verde': expediente.status == 'Normal' , 
              'vermelho': expediente.status == 'Atraso',
              'amarelo': expediente.status == 'Hora extra'
          }">
            </div>
          </th>
          <td mat-cell class="segundaColuna" *matCellDef="let tipo">
            <mat-accordion *ngIf="tipo.observacoes != '' && tipo.observacoes != null">
              <mat-expansion-panel (opened)="painelEstado = true" (closed)="painelEstado = false"
                class="mat-elevation-z0">
                <mat-expansion-panel-header>
                  <mat-panel-title>
                    Observações
                  </mat-panel-title>
                  <mat-panel-description>
                  </mat-panel-description>
                </mat-expansion-panel-header>
                {{tipo.observacoes}}
              </mat-expansion-panel>
            </mat-accordion>
          </td>
          <td mat-footer-cell class="footer" *matFooterCellDef>{{expediente.horasTrabalhadas}}</td>
        </ng-container>

        <ng-container matColumnDef="status">
          <td mat-footer-cell class="primeiraColuna" *matFooterCellDef>
            <p>Status</p>
          </td>
        </ng-container>

        <ng-container matColumnDef="tipoStatus">
          <td mat-footer-cell class="footer" *matFooterCellDef>{{expediente.status}}</td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="colunas"></tr>
        <tr mat-row *matRowDef="let row; columns: colunas;"></tr>
        <tr mat-footer-row *matFooterRowDef="colunas"></tr>
        <tr mat-footer-row *matFooterRowDef="colunasFooter"></tr>
      </table>
    </div>

    <div class="naoEncontrado" *ngIf="expedienteMensal.length == 0">
      <div>
        <mat-icon>search_off</mat-icon>
        <h2>Expediente mensal não encontrado</h2>
      </div>
    </div>

  </div>

</div>

<ng-template #telaInicial>
  <div class="telaInicio">
    <mat-icon>find_in_page</mat-icon>
    <h2>Selecione o colaborador e o período desejado</h2>
  </div>
</ng-template>
